class CreateGekanatorQuestionSuggestions < ActiveRecord::Migration[8.0]
  def change
    create_table :gekanator_question_suggestions do |t|
      t.references :gekanator_game,
                   null: false,
                   foreign_key: { on_delete: :cascade }
      t.references :user, null: false, foreign_key: true
      t.text :question_text, null: false
      t.boolean :processed, null: false, default: false

      t.timestamps
    end
  end
end
